﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Mojobojo.Ini;

namespace Blue_Shadowz___Hash.Forms.Options
{
    public partial class frmSettings : Form
    {
        public frmSettings()
        {
            InitializeComponent();
        }

        private void btnDone_Click(object sender, EventArgs e)
        {
            if (comboBoxUpdateCheck.Text == "" & comboBoxUpdater.Text == "" & comboBoxUpdateStart.Text == "")
            {
                MessageBox.Show("Please complete all fields!", "Error!", MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;
            }
            else
            {
                IniFile ini = new IniFile("Settings.cfg");
                ini.IniWriteValue("Updater", "Status", comboBoxUpdater.Text);
                ini.IniWriteValue("Updater", "Show Updater", comboBoxUpdateCheck.Text);
                ini.IniWriteValue("Updater", "Check at Start", comboBoxUpdateStart.Text);
                MessageBox.Show("Saved!", "Done!", MessageBoxButtons.OK, MessageBoxIcon.Information);
                this.Dispose();
            }
        }

        private void frmSettings_Load(object sender, EventArgs e)
        {
            IniFile ini = new IniFile("Settings.cfg");
            comboBoxUpdater.Text = ini.IniReadValue("Updater", "Status");
            comboBoxUpdateCheck.Text = ini.IniReadValue("Updater", "Show Updater");
            comboBoxUpdateStart.Text = ini.IniReadValue("Updater", "Check at Start");
        }
    }
}
