﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Mojobojo.Ini;

namespace Blue_Shadowz___Hash.Forms
{
    public partial class frmContainer : Form
    {
        public string Updater;
        public string UpdaterCheck;
        public string UpdaterStart;
        public frmContainer()
        {
            InitializeComponent();
        }

        private void aboutToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Options.frmAbout frmAbo = new Options.frmAbout();
            frmAbo.MdiParent = this;
            frmAbo.Show();
        }

        private void mD5ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Open.frmMD5 frmMD5 = new Open.frmMD5();
            frmMD5.MdiParent = this;
            frmMD5.Show();
        }

        private void frmContainer_Load(object sender, EventArgs e)
        {
            toolStripStatusLabel1.Text = "Loading Settings.";
            IniFile ini = new IniFile("Settings.cfg");
            Updater = ini.IniReadValue("Updater", "Status");
            UpdaterCheck = ini.IniReadValue("Updater", "Show Updater");
            UpdaterStart = ini.IniReadValue("Updater", "Check at Start");

            if (UpdaterCheck == "Yes")
            {
                updateToolStripMenuItem.Visible = true;
            }
            else
            {
                updateToolStripMenuItem.Visible = false;
            }

            toolStripStatusLabel1.Text = "Idle...";
        }

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.Dispose();
        }

        private void sHA512ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Open.frmSHA1 sha1 = new Open.frmSHA1();
            sha1.MdiParent = this;
            sha1.Show();
        }

        private void sHA256ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Open.frmSHA256 sha256 = new Open.frmSHA256();
            sha256.MdiParent = this;
            sha256.Show();
        }

        private void sHA385ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Open.frmSHA384 sha384 = new Open.frmSHA384();
            sha384.MdiParent = this;
            sha384.Show();
        }

        private void sHA512ToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            Open.frmSHA512 sha512 = new Open.frmSHA512();
            sha512.MdiParent = this;
            sha512.Show();
        }

        private void toolStripMenuItem1_Click(object sender, EventArgs e)
        {
            Compare.frmMD5 md5 = new Compare.frmMD5();
            md5.MdiParent = this;
            md5.Show();
        }

        private void toolStripMenuItem8_Click(object sender, EventArgs e)
        {
            Compare.frmSHA1 SHA1 = new Compare.frmSHA1();
            SHA1.MdiParent = this;
            SHA1.Show();
        }

        private void toolStripMenuItem9_Click(object sender, EventArgs e)
        {
            Compare.frmSHA256 SHA256 = new Compare.frmSHA256();
            SHA256.MdiParent = this;
            SHA256.Show();
        }

        private void toolStripMenuItem10_Click(object sender, EventArgs e)
        {
            Compare.frmSHA384 SHA384 = new Compare.frmSHA384();
            SHA384.MdiParent = this;
            SHA384.Show();
        }

        private void toolStripMenuItem11_Click(object sender, EventArgs e)
        {
            Compare.frmSHA512 SHA512 = new Compare.frmSHA512();
            SHA512.MdiParent = this;
            SHA512.Show();
        }

        private void settingsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Options.frmSettings frmSet = new Options.frmSettings();
            frmSet.MdiParent = this;
            frmSet.Show();
        }
    }
}
